import { __awaiter } from "tslib";
import { SchematicsException } from '@angular-devkit/schematics';
import { getWorkspace } from './workspace';
export function getProject(host, projectName) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const workspace = yield getWorkspace(host);
        if (workspace.projects.has(projectName)) {
            return workspace.projects.get(projectName);
        }
        else if (((_a = workspace.extensions) === null || _a === void 0 ? void 0 : _a.defaultProject) &&
            workspace.projects.has(workspace.extensions.defaultProject)) {
            return workspace.projects.get(workspace.extensions.defaultProject);
        }
        throw new SchematicsException('Could not find project "' + projectName + '"');
    });
}
//# sourceMappingURL=projects.js.map